##How deploy script works:
1. Read configuration files
2. Parse parameters
3. Determine which containers must be started
4. If -local parameter is not provided, check if config folder is in sync with git remote repository
5. Create ‘dms’ docker network (name can be changed in containers.conf) and open ports in firewall if not already added
6. Create elasticsearch container if not skipped
7. Create postgresql container if not skipped 
8. If any of cb or nuxeo containers is marked to be deployed, generate nuxeo.conf and pi-nuxeo.xml
9. Create onlyoffice container (skipped by default) 
10. Stop existing nginx container if https is disabled
11. Create nuxeo container if not skipped
12. If https is not enabled, wait for port 8080 to be available
13. Create cb container if not skipped
14. If https is not enabled, wait for port 9080 to be available
15. If https is enabled:
    1. Create nginx container
    2. Wait for $hostname/nuxeo to be available
    3. Copy and install https certificate to the nuxeo container
    4. Restart cb container (we need to have it started before to make nginx container start normally)
    5. Wait for $hostname/casebrowser to be available
    6. Copy and install https certificate to the cb container
16. If postfix creation not skipped (skipped by default):
    1. Create postfix configuration files
    2. Create postfix container
17. Create service container if not skipped
18. Check DMS health and send report
19. If -rmi option added, remove all unused docker images
